Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.sf.jasperreports.engine.type
Enum OnErrorTypeEnum

    java.lang.Object
      java.lang.Enum<OnErrorTypeEnum>
          net.sf.jasperreports.engine.type.OnErrorTypeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OnErrorTypeEnum>, JREnum

    public enum OnErrorTypeEnum

extends java.lang.Enum<OnErrorTypeEnum>
implements JREnum

Version:
  $Id: OnErrorTypeEnum.java 3450 2010-02-19 14:11:18Z shertage $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Enum Constant Summary
`BLANK` A constant used for specifying that the engine should display blank space if the image is not found.
`ERROR` A constant used for specifying that the engine should raise an exception if the image is not found.
`ICON` A constant used for specifying that the engine should display a replacement icon if the image is not found.

Method Summary
`static OnErrorTypeEnum` | `getByName(java.lang.String name)`
`static OnErrorTypeEnum` | `getByValue(byte value)`
`static OnErrorTypeEnum` | `getByValue(java.lang.Byte value)`
`java.lang.String` | `getName()`
`byte` | `getValue()`
`java.lang.Byte` | `getValueByte()`
`static OnErrorTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OnErrorTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ERROR

    public static final OnErrorTypeEnum ERROR

  A constant used for specifying that the engine should raise an exception if the image is not found.

### BLANK

    public static final OnErrorTypeEnum BLANK

  A constant used for specifying that the engine should display blank space if the image is not found.

### ICON

    public static final OnErrorTypeEnum ICON

  A constant used for specifying that the engine should display a replacement icon if the image is not found.

Method Detail

### values

    public static OnErrorTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OnErrorTypeEnum c : OnErrorTypeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OnErrorTypeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValueByte

    public java.lang.Byte getValueByte()

  Specified by:
    `getValueByte` in interface `JREnum`

### getValue

    public final byte getValue()

  Specified by:
    `getValue` in interface `JREnum`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `JREnum`

### getByName

    public static OnErrorTypeEnum getByName(java.lang.String name)

### getByValue

    public static OnErrorTypeEnum getByValue(java.lang.Byte value)

### getByValue

    public static OnErrorTypeEnum getByValue(byte value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com